Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0015622
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformmajorhave not tried2011-01-11 18:412011-03-01 00:00
ReportermtaalView Statuspublic 
Assigned Tomtaal 
PrioritynormalResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision.
ProjectionnoneETAnoneTarget Versionpi
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0015622: Api change: change in way static resources are read and cached

DescriptionThe way static resources are read and cached in the browser has changed. This means that several methods which were not needed anymore have been removed:

org.openbravo.client.kernel:
Missing
field org.openbravo.client.kernel.KernelConstants.RESOURCE_STRING_TAG: missing in 793
method org.openbravo.client.kernel.ComponentGenerator.isThereAModuleInDevelopment(): missing in 793
method org.openbravo.client.kernel.ComponentProvider.getComponentType(): missing in 793
method org.openbravo.client.kernel.KernelUtils.inDevelopersMode(): missing in 793
method org.openbravo.client.kernel.StaticResourceComponent.getStaticResources(): missing in 793
method org.openbravo.client.kernel.StaticResourceComponent.isDirectScriptResource(java.lang.String): missing in 793
method org.openbravo.client.kernel.StaticResourceComponent.isThereAModuleInDevelopment(): missing in 793
Abs.add
method org.openbravo.client.kernel.Component.isInDevelopment(): new interface method in 793
method org.openbravo.client.kernel.Component.isJavaScriptComponent(): new interface method in 793
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0033600)
iciordia (manager)
2011-01-12 16:39

Approved.

Ismael
(0034382)
mtaal (developer)
2011-02-28 09:10

Api change applied
(0034383)
mtaal (developer)
2011-02-28 09:10

Closed

- Issue History
Date Modified Username Field Change
2011-01-11 18:41 mtaal New Issue
2011-01-11 18:41 mtaal Assigned To => iciordia
2011-01-11 18:41 mtaal Modules => Core
2011-01-12 16:39 iciordia Note Added: 0033600
2011-01-12 16:50 iciordia Assigned To iciordia => mtaal
2011-01-17 07:46 alostale Status new => scheduled
2011-02-04 08:33 dalsasua Issue cloned 0015865
2011-02-28 09:10 mtaal Note Added: 0034382
2011-02-28 09:10 mtaal Status scheduled => resolved
2011-02-28 09:10 mtaal Fixed in SCM revision => .
2011-02-28 09:10 mtaal Resolution open => fixed
2011-02-28 09:10 mtaal Note Added: 0034383
2011-02-28 09:10 mtaal Status resolved => closed
2011-03-01 00:00 anonymous sf_bug_id 0 => 3195603


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker